package com.lyg.application.util;

import com.lyg.application.DTO.ErrorDto;
import com.lyg.application.entity.TaIncompatible;
import com.lyg.application.entity.TaRotation;

import java.util.ArrayList;
import java.util.List;

public class RuleDetail {

    public List<ErrorDto> planRuleType(List<TaIncompatible> taIncompatibleList, List<TaRotation> repelList) {

        ErrorDto errorDto = new ErrorDto();
        List<ErrorDto> result = new ArrayList<>();

        //普通规则
        if (taIncompatibleList.size() == 0) {
            errorDto.setRegularRules("普通规则:根据不相容设置这两个岗位是相容的");
        } else {
            for (TaIncompatible item : taIncompatibleList) {
                errorDto.setPrimaryPost(item.getPrimaryPost());
                errorDto.setTargetPost(item.getTargetPost());

            }
        }


        if (repelList.size() == 0) {
            errorDto.setMonthRules("三个月规则: 这是两个岗位是相容的");
        } else {
            for (TaRotation item : repelList) {
                errorDto.setCounterImpPositions(item.getCounterImpPositions());
                errorDto.setCounterImpPost(item.getCounterImpPostRotation());
                errorDto.setSpecificOrgName(item.getSpecificOrgName());
                errorDto.setSpecificOrgNum(item.getSpecificOrgNum());
                errorDto.setSpecificNameOrgRotation(item.getSpecificNameOrgRotation());
                errorDto.setOrgNumJobRotation(item.getOrgNumJobRotation());
                errorDto.setEmployeeNum(item.getEmployeeNum());
                errorDto.setEmployeeName(item.getEmployeeName());
            }
        }
        result.add(errorDto);
        return result;
    }

}
